Package com.gpudb.protocol
Class AlterTableRequest.Action
java.lang.Object
com.gpudb.protocol.AlterTableRequest.Action
Enclosing class:
A set of string constants for the
AlterTableRequest parameter action.
Modification operation to be applied.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final Stringstatic final Stringstatic final StringAdds the partition specified invalue, to either a range-partitioned or manual list-partitioned table.static final StringPermanently unsubscribe a data source that is loading continuously as a stream.static final StringChanges type and properties of the column specified invalue.static final StringChange the owner resource group of the table.static final StringCreates a foreign key specified invalueusing the format ‘(source_column_name [, …]) references target_table_name(primary_key_column_name [, …])static final StringCreates a column (attribute) index, low-cardinality index, chunk skip index, geospatial index, CAGRA index, or HNSW index (depending on the specifiedINDEX_TYPE), on the column name specified invalue.static final Stringstatic final StringRemoves the default value expression from the column specified invalue.static final StringDeletes a foreign key.static final StringDeletes a column (attribute) index, low-cardinality index, chunk skip index, geospatial index, CAGRA index, or HNSW index (depending on the specifiedINDEX_TYPE), on the column name specified invalue.static final StringDeletes the partition specified invalue(and all of its data) from either a range-partitioned or manual list-partitioned table.static final StringPermanently delete a cancelled data source subscription.static final String[DEPRECATED—please useMOVE_TO_SCHEMAand useGPUdb.createSchemato create the schema if non-existent] Moves a table or view into a schema namedvalue.static final StringMoves a table or view into a schema namedvalue.static final StringTemporarily unsubscribe a data source that is loading continuously as a stream.static final StringNo longer used.static final StringFor a materialized view, replays all the table creation commands required to create the view.static final StringRefreshes an index identified byINDEX_TYPE, on the column name specified invalue.static final StringRemoves the partition specified invalue(and relocates all of its data to the default partition) from either a range-partitioned or manual list-partitioned table.static final StringRemoves the shard key property from all columns, so that the table will be considered randomly sharded.static final StringRemoves text search attribute from all columns.static final StringRenames a table or view tovalue.static final StringResubscribe to a paused data source subscription.static final StringSet startup rebuilding scheme for the materialized view; see description of ‘build_materialized_view_policy’ inGPUdb.createMaterializedViewfor possible values forvalue.static final StringSet startup primary key generation scheme for the table; see description of ‘build_pk_index_policy’ inGPUdb.createTablefor possible values forvalue.static final StringSets or replaces the default value expression for the column specified invalue.static final StringSets the global access mode (i.e. locking) for the table specified intableName.static final StringSet startup data loading scheme for the table; see description of ‘load_vectors_policy’ inGPUdb.createTablefor possible values forvalue.static final StringSets the user name to refresh this materialized view to the value specified invalue.static final StringFor a materialized view, sets the method by which the view is refreshed to the method specified invalue- one of ‘manual’, ‘periodic’, or ‘on_change’.static final StringSets the time interval in seconds at which to refresh this materialized view to the value specified invalue.static final StringSets the future time-offset(in seconds) for the view refresh to stop.static final StringSets the time to start periodic refreshes of this materialized view to the datetime string specified invaluewith format ‘YYYY-MM-DD HH:MM:SS’.static final StringSets the time to stop periodic refreshes of this materialized view to the datetime string specified invaluewith format ‘YYYY-MM-DD HH:MM:SS’.static final StringSets the tier strategy for the table and its columns to the one specified invalue, replacing the existing tier strategy in its entirety.static final StringSets the time-to-live in minutes of the table or view specified intableName.
Field Details
CREATE_INDEX
Creates a column (attribute) index, low-cardinality index, chunk skip index, geospatial index, CAGRA index, or HNSW index (depending on the specifiedINDEX_TYPE), on the column name specified invalue. If this column already has the specified index, an error will be returned.See Also:REFRESH_INDEX
Refreshes an index identified byINDEX_TYPE, on the column name specified invalue. Currently applicable only to CAGRA indices.See Also:DELETE_INDEX
Deletes a column (attribute) index, low-cardinality index, chunk skip index, geospatial index, CAGRA index, or HNSW index (depending on the specifiedINDEX_TYPE), on the column name specified invalue. If this column does not have the specified index, an error will be returned.See Also:MOVE_TO_COLLECTION
[DEPRECATED—please useMOVE_TO_SCHEMAand useGPUdb.createSchemato create the schema if non-existent] Moves a table or view into a schema namedvalue. If the schema provided is non-existent, it will be automatically created.See Also:ADD_COMMENT
Adds the comment specified invalueto the table specified intableName. UseCOLUMN_NAMEto set the comment for a column.See Also:ADD_COLUMN
Adds the column specified invalueto the table specified intableName. UseCOLUMN_TYPEandCOLUMN_PROPERTIESinoptionsto set the column’s type and properties, respectively.See Also:CHANGE_COLUMN
Changes type and properties of the column specified invalue. UseCOLUMN_TYPEandCOLUMN_PROPERTIESinoptionsto set the column’s type and properties, respectively. Note that primary key and/or shard key columns cannot be changed. All unchanging column properties must be listed for the change to take place, e.g., to add dictionary encoding to an existing ‘char4’ column, both ‘char4’ and ‘dict’ must be specified in theoptionsmap.See Also:SET_DEFAULT
Sets or replaces the default value expression for the column specified invalue. The new default is taken fromADD_COLUMN_EXPRESSION. Existing properties on the column are preserved.See Also:CREATE_FOREIGN_KEY
Creates a foreign key specified invalueusing the format ‘(source_column_name [, …]) references target_table_name(primary_key_column_name [, …]) [as foreign_key_name]’.See Also:DELETE_FOREIGN_KEY
Deletes a foreign key. Thevalueshould be the foreign_key_name specified when creating the key or the complete string used to define it.See Also:ADD_PARTITION
Adds the partition specified invalue, to either a range-partitioned or manual list-partitioned table.See Also:REMOVE_PARTITION
Removes the partition specified invalue(and relocates all of its data to the default partition) from either a range-partitioned or manual list-partitioned table.See Also:DELETE_PARTITION
Deletes the partition specified invalue(and all of its data) from either a range-partitioned or manual list-partitioned table.See Also:REFRESH
For a materialized view, replays all the table creation commands required to create the view. For an external table, reloads all data in the table from its associated source files or data source.See Also:SET_REFRESH_METHOD
For a materialized view, sets the method by which the view is refreshed to the method specified invalue- one of ‘manual’, ‘periodic’, or ‘on_change’. For an external table, sets the method by which the table is refreshed to the method specified invalue- either ‘manual’ or ‘on_start’.See Also:SET_REFRESH_START_TIME
Sets the time to start periodic refreshes of this materialized view to the datetime string specified invaluewith format ‘YYYY-MM-DD HH:MM:SS’. Subsequent refreshes occur at the specified time + N * the refresh period.See Also:SET_REFRESH_STOP_TIME
Sets the time to stop periodic refreshes of this materialized view to the datetime string specified invaluewith format ‘YYYY-MM-DD HH:MM:SS’.See Also:SET_REFRESH_PERIOD
Sets the time interval in seconds at which to refresh this materialized view to the value specified invalue. Also, sets the refresh method to periodic if not already set.See Also:SET_REFRESH_EXECUTE_AS
Sets the user name to refresh this materialized view to the value specified invalue.See Also:SET_STRATEGY_DEFINITION
Sets the tier strategy for the table and its columns to the one specified invalue, replacing the existing tier strategy in its entirety.See Also:SET_LOAD_VECTORS_POLICY
Set startup data loading scheme for the table; see description of ‘load_vectors_policy’ inGPUdb.createTablefor possible values forvalue.See Also:SET_BUILD_PK_INDEX_POLICY
Set startup primary key generation scheme for the table; see description of ‘build_pk_index_policy’ inGPUdb.createTablefor possible values forvalue.See Also:SET_BUILD_MATERIALIZED_VIEW_POLICY
Set startup rebuilding scheme for the materialized view; see description of ‘build_materialized_view_policy’ inGPUdb.createMaterializedViewfor possible values forvalue.See Also: